<?php
use Redis\Logger\Writer;

/**
 * @file
 * Administrative controllers for the Redis Logger module.
 */

function redis_logger_form_overview($form, $form_state) {
  $logger = Redis\Logger\Writer::instance();

  $form['levels'] = array(
    '#description' => t('The semantics of these levels are defined by RFC5424.'),
    '#options' => watchdog_severity_levels(),
    '#title' => t('Severity'),
    '#type' => 'select',
  );
  $form['channels'] = array(
    '#description' => t('The channels listed here are those which have emitted at least one message.'),
    '#options' => Writer::instance()->getChannels(),
    '#title' => t('Severity'),
    '#type' => 'select',
  );
  return $form;
}
